Add a Git tag

POST https://{controlplane_path}/api/1/rest/public/apim/git-tag/{path_to_apiversion_or_service}      
Important: This API works for both Classic and APIM 3.0 assets.

Associate the specified Git tag with the commit that is currently tracked by the Classic API version or APIM 3.0 Service.

Prerequisites

  • Write access to the project
  • Git hosting provider requirements:
    • The environment (Org) must be correctly configured to use a Git hosting provider supported by SnapLogic.
    • The user must have an authenticated account with the Git hosting provider.
    • The project has checked out a Git repository.

    Learn more: SnapLogic - Git Integration

Limitations

  • You can't use SnapLogic service accounts to call any of the SnapLogic API Management Git operation APIs.

Example

This example uses basic authentication. For a JWT example, refer to Authentication.

curl -X 'POST' \
  'https://elastic.snaplogic.com/api/1/rest/public/apim/git-tag/acme/apim/BookStore/1.0' \
  -H 'Authorization: Basic {base64_encoded email:password}' \
  -H 'Content-Type: application/json' \
  -d '{
  "tag": "v1.0-release",
  "message": "Release version 1.0"
}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_apiversion Required. The path to the SnapLogic API version.

Format: /org_name/apim/api/apiversion

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body

{
  "tag" : "...",
  "message" : "..."
 }
        
Key Type Description
tag string The Git tag to associate with the latest files in the Git repository.
message string Additional information about the added tag.

Response

{
    "response_map": {
        "tag": "Apiversion_tag",
        "message": "Tag created via public api",
        "tag_sha": "ae90e20f77221ccc325a98c02ec064caf2f62307",
        "commit_sha": "4dd92e750bd4d9be305c3d94479bc50bf853dfc5",
        "tagger": "[email protected]"
    },
    "http_status_code": 200
}    
Key Type Description
tag string The specified git tag.
message string The message related to git tag.
tag_sha string The unique ID of the tag when created.
commit_sha string The unique ID of the commit.
tagger string Email ID of the tagger.

Error handling

{
    "http_status_code": 409,
    "response_map": {
        "error_list": [
            {
                "message": "Tag API version already exists for repo"
            }
        ]
    }
}
HTTP status codes Status Description Resolution
409 Conflict The API returns this response when the specified tag already exists. Change the name of the git tag or delete the existing git tag.